#!/bin/bash
i386-elf-gcc -ffreestanding -I src/ -c src/kernel/main.c -o kernel.o
i386-elf-gcc -ffreestanding -I src/ -c src/kernel/drivers/vga/screen.c -o screen.o
i386-elf-gcc -ffreestanding -I src/ -c src/kernel/drivers/ports/ports.c -o ports.o
nasm -f elf src/entrypoint.s -o entry.o
nasm -f bin src/boot/mbr.s -o mbr.bin
i386-elf-ld -o kernel.bin -Ttext 0x1000 entry.o kernel.o ports.o screen.o --oformat binary
cat mbr.bin kernel.bin > os.bin
